        processor 16f628a
        include "p16f628a.inc"
        __config 01e54 ; 3f10  WDT, 3f14  BOR
        errorlevel 0, -302
        noexpand

      
        org 0
        goto start
		
        org 4 ; 
        movwf 7fh 
        swapf STATUS,0
        movwf 0x7e
        movf FSR,0
        movwf 0x7d

        movlw 0xf0
        movwf TMR1H

		movlw 0x18
		xorwf 0x20,1
		movf 0x20,0
		movwf PORTB
     
        BCF          INTCON, 2   
        BCF          PIR1, 0
        movf 0x7d,0
        movwf FSR
        swapf 0x7e,0
        movwf STATUS
        swapf 0x7f,1
        swapf 0x7f,0
        retfie ;  
;-----------------   --------------
start        ; 
        bcf STATUS,RP1 ;bank 0
        bcf STATUS,RP0
        movlw 0x07
        movwf CMCON
        bcf STATUS,RP1 ;bank 1
        bsf STATUS,RP0
        movlw 0x11 ;  PORTA (0-out 1-in)
        movwf TRISA
        movlw 0x00 ;   
        movwf TRISB
        movlw 0x38
        movwf 0x81 ; OPTION TMR0
        bcf STATUS,RP1 ;bank 0
        bcf STATUS,RP0
                
        ;timer1 init
        movlw 0x01
        movwf T1CON ;tmr1 enable
        bcf STATUS,RP1 ;bank 1
        bsf STATUS,RP0
        bsf PIE1,0 ;tmr1 interrupt enable
        bcf STATUS,RP1 ;bank 0
        bcf STATUS,RP0
        bsf INTCON,6 ;peripherial interrupt enable

        bsf INTCON,7 ;gie

		movlw 0xf0 
		movwf 0x20

loop
        clrwdt
		goto loop
	
		end